org.apache.lucene.search.vectorhighlight

## Class ScoreOrderFragmentsBuilder

- java.lang.Object
- - org.apache.lucene.search.vectorhighlight.BaseFragmentsBuilder
  - - org.apache.lucene.search.vectorhighlight.ScoreOrderFragmentsBuilder

- All Implemented Interfaces:
    FragmentsBuilder

      public class ScoreOrderFragmentsBuilder
      extends BaseFragmentsBuilder

  An implementation of FragmentsBuilder that outputs score-order fragments.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ScoreOrderFragmentsBuilder.ScoreComparator`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.search.vectorhighlight.BaseFragmentsBuilder

      `COLORED_POST_TAGS, COLORED_PRE_TAGS, postTags, preTags`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScoreOrderFragmentsBuilder()` a constructor.
    `ScoreOrderFragmentsBuilder(java.lang.String[] preTags, java.lang.String[] postTags)` a constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<FieldFragList.WeightedFragInfo>` | `getWeightedFragInfoList(java.util.List<FieldFragList.WeightedFragInfo> src)` Sort by score the list of WeightedFragInfo

    - ### Methods inherited from class org.apache.lucene.search.vectorhighlight.BaseFragmentsBuilder

      `createFragment, createFragments, getFields, getFieldValues, getFragmentSource, getFragmentSource, getPostTag, getPreTag, makeFragment, makeFragment`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScoreOrderFragmentsBuilder

          public ScoreOrderFragmentsBuilder()

      a constructor.

    - #### ScoreOrderFragmentsBuilder

          public ScoreOrderFragmentsBuilder(java.lang.String[] preTags,
                                            java.lang.String[] postTags)

      a constructor.
      Parameters:
        `preTags` - array of pre-tags for markup terms.
        `postTags` - array of post-tags for markup terms.

  - ### Method Detail

    - #### getWeightedFragInfoList

          public java.util.List<FieldFragList.WeightedFragInfo> getWeightedFragInfoList(java.util.List<FieldFragList.WeightedFragInfo> src)

      Sort by score the list of WeightedFragInfo
      Specified by:
        `getWeightedFragInfoList` in class `BaseFragmentsBuilder`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.